-module(my).
-export([foo/0]).
-export([ start/0, loop/1 ]).

start() -> register(?MODULE, spawn_link(?MODULE, loop, [fun logger/2])).

foo() -> apply(fun erlang:now/0, []).

loop(Logger) ->
    receive V ->
            io:format("received ~p~n", [V]),
            ?MODULE:loop(Logger)
    after 100 -> ?MODULE:loop(Logger)
    end.

logger(Msg, Args) -> io:format(Msg, Args).
